summaryrefslogtreecommitdiffstats
path: root/source/n/iproute2
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/iproute2')
-rw-r--r--source/n/iproute2/doinst.sh18
-rwxr-xr-xsource/n/iproute2/iproute2.SlackBuild130
-rw-r--r--source/n/iproute2/iproute2.dbpath.diff12
-rw-r--r--source/n/iproute2/iproute2.iptablespath.diff12
-rw-r--r--source/n/iproute2/slack-desc19
5 files changed, 191 insertions, 0 deletions
diff --git a/source/n/iproute2/doinst.sh b/source/n/iproute2/doinst.sh
new file mode 100644
index 000000000..01b82a28e
--- /dev/null
+++ b/source/n/iproute2/doinst.sh
@@ -0,0 +1,18 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+config etc/iproute2/ematch_map.new
+config etc/iproute2/rt_dsfield.new
+config etc/iproute2/rt_protos.new
+config etc/iproute2/rt_realms.new
+config etc/iproute2/rt_scopes.new
+config etc/iproute2/rt_tables.new
+
diff --git a/source/n/iproute2/iproute2.SlackBuild b/source/n/iproute2/iproute2.SlackBuild
new file mode 100755
index 000000000..2a97fd43d
--- /dev/null
+++ b/source/n/iproute2/iproute2.SlackBuild
@@ -0,0 +1,130 @@
+#!/bin/sh
+
+# Copyright 2005-2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Build this against 2.6.x kernel source and headers...
+
+VERSION=2.6.29-1
+ARCH=${ARCH:-x86_64}
+NUMJOBS=${NUMJOBS:-" -j7 "}
+BUILD=${BUILD:-2}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-iproute2
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf iproute2-$VERSION
+tar xvf $CWD/iproute2-$VERSION.tar.bz2 || exit 1
+cd iproute2-$VERSION
+
+# Fix up path to bdb
+zcat $CWD/iproute2.dbpath.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
+# Fix up iptables lib path
+zcat $CWD/iproute2.iptablespath.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
+if [ "$ARCH" = "x86_64" ]; then
+ sed -i -e "s#/lib/tc#/lib${LIBDIRSUFFIX}/tc#" $(grep -lr '/lib/tc' *) || exit 1
+ sed -i -e "s#/usr/lib/#/usr/lib${LIBDIRSUFFIX}/#" include/iptables.h || exit 1
+ sed -i -e "s#/usr/lib/#/usr/lib${LIBDIRSUFFIX}/#" tc/m_ipt.c || exit 1
+fi
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+export CFLAGS="$SLKCFLAGS"
+make $NUMJOBS DOCDIR=doc/iproute2-$VERSION MANDIR=man/ || exit 1
+
+# This doesn't embed any $TMP or $PKG paths in anything
+# Have a look at what the Makefile does for why :)
+mkdir -p $PKG/usr
+make install DOCDIR=doc/iproute2-$VERSION MANDIR=man/ DESTDIR=$PKG/usr/ \
+ || exit 1
+
+# This stuff has always been installed under /sbin rather than
+# /usr/sbin, as the latter could possibly be network-mounted, and
+# these utilities may be needed to set up that network, so move
+# them appropriately, but leave symlinks in /usr/sbin so that
+# any scripts using absolute paths will work either way:
+mkdir $PKG/sbin
+mv $PKG/usr/sbin/* $PKG/sbin
+( cd $PKG/usr/sbin
+ for file in ../../sbin/* ; do
+ ln -sf $file .
+ done
+)
+
+mv $PKG/usr/etc $PKG
+# Don't clobber existing config files
+for file in $PKG/etc/iproute2/* ; do
+ mv $file ${file}.new
+done
+
+# Remove junk:
+[ -d $PKG/usr/usr ] && rm -r $PKG/usr/usr
+
+mkdir -p $PKG/var/lib/arpd
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Compress and if needed symlink the man pages:
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.?
+ )
+ done
+ )
+fi
+
+mkdir -p $PKG/usr/doc/iproute2-$VERSION
+cp -a COPYING RE* \
+ $PKG/usr/doc/iproute2-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/iproute2-$(echo $VERSION | tr - _)-$ARCH-$BUILD.txz
+
diff --git a/source/n/iproute2/iproute2.dbpath.diff b/source/n/iproute2/iproute2.dbpath.diff
new file mode 100644
index 000000000..b6ad2b0f9
--- /dev/null
+++ b/source/n/iproute2/iproute2.dbpath.diff
@@ -0,0 +1,12 @@
+diff -Nur orig/Makefile new/Makefile
+--- orig/Makefile 2008-07-25 15:46:07.000000000 -0500
++++ new/Makefile 2008-10-03 20:32:41.237630954 -0500
+@@ -5,7 +5,7 @@
+ MANDIR=/share/man
+
+ # Path to db_185.h include
+-DBM_INCLUDE:=/usr/include
++DBM_INCLUDE:=/usr/include/db44
+
+ DEFINES= -DRESOLVE_HOSTNAMES -DDESTDIR=\"$(DESTDIR)\"
+
diff --git a/source/n/iproute2/iproute2.iptablespath.diff b/source/n/iproute2/iproute2.iptablespath.diff
new file mode 100644
index 000000000..89f61b65d
--- /dev/null
+++ b/source/n/iproute2/iproute2.iptablespath.diff
@@ -0,0 +1,12 @@
+diff -Nur orig/include/iptables.h new/include/iptables.h
+--- orig/include/iptables.h 2008-07-25 15:46:07.000000000 -0500
++++ new/include/iptables.h 2008-10-03 20:35:56.731284537 -0500
+@@ -5,7 +5,7 @@
+ #include "libiptc/libiptc.h"
+
+ #ifndef IPT_LIB_DIR
+-#define IPT_LIB_DIR "/usr/local/lib/iptables"
++#define IPT_LIB_DIR "/usr/lib/iptables"
+ #endif
+
+ #ifndef IPPROTO_SCTP
diff --git a/source/n/iproute2/slack-desc b/source/n/iproute2/slack-desc
new file mode 100644
index 000000000..7f6b1d614
--- /dev/null
+++ b/source/n/iproute2/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+iproute2: iproute2 (IP routing utilities)
+iproute2:
+iproute2: These are tools used to administer many advanced IP routing features
+iproute2: in the kernel. See Configure.help in the kernel documentation
+iproute2: (search for iproute2) for more information on which kernel options
+iproute2: these tools are used with.
+iproute2:
+iproute2: These utilities were written by Alexey Kuznetsov. The current
+iproute2: maintainer of iproute2 is Stephen Hemminger.
+iproute2:
+iproute2: